Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.yaml.snakeyaml.introspector
Enum BeanAccess

    java.lang.Object
      java.lang.Enum<BeanAccess>
          org.yaml.snakeyaml.introspector.BeanAccess

All Implemented Interfaces:
  Serializable, Comparable<BeanAccess>

    public enum BeanAccess

extends Enum<BeanAccess>

Control instance variables.

Enum Constant Summary
`DEFAULT` use JavaBean properties and public fields
`FIELD` use all declared fields (including inherited)
`PROPERTY` reserved

Method Summary
`static BeanAccess` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BeanAccess[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT

    public static final BeanAccess DEFAULT

  use JavaBean properties and public fields

### FIELD

    public static final BeanAccess FIELD

  use all declared fields (including inherited)

### PROPERTY

    public static final BeanAccess PROPERTY

  reserved

Method Detail

### values

    public static final BeanAccess[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(BeanAccess c : BeanAccess.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static BeanAccess valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2011. All Rights Reserved.